Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.webflow.mvc.servlet
[Java] Class GrailsFlowHandlerMapping

    java.lang.Object
      org.springframework.web.servlet.handler.AbstractHandlerMapping
          org.codehaus.groovy.grails.web.servlet.GrailsControllerHandlerMapping
              org.codehaus.groovy.grails.webflow.mvc.servlet.GrailsFlowHandlerMapping

All Implemented Interfaces:
  Ordered

    public class GrailsFlowHandlerMapping
    extends GrailsControllerHandlerMapping

A HandlerMapping implementation that maps Grails controller classes onto flows.

Authors:
  Graeme Rocher

Since:
  1.2

Field Summary

Fields inherited from class GrailsControllerHandlerMapping
MAIN_CONTROLLER_BEAN

Method Summary
`protected java.lang.Object` | `getHandlerForControllerClass(GrailsControllerClass controllerClass, HttpServletRequest request)`

Methods inherited from class GrailsControllerHandlerMapping
establishInterceptors, extendInterceptors, getHandlerExecutionChain, getHandlerForControllerClass, getHandlerInternal, lookupInterceptors, setGrailsApplication

Method Detail

### getHandlerForControllerClass

    @Override
    protected java.lang.Object getHandlerForControllerClass(GrailsControllerClass controllerClass, HttpServletRequest request)

Groovy Documentation